//
// $Id: IrError.h,v 1.2 2000/06/04 23:23:39 sergey Exp $
//

#ifndef _IrError_h_
#define _IrError_h_


//==============================================================================
// IrError message
//==============================================================================

namespace IrDA
{
    //
    // Error class used to report IR library errors.
    //
    class IrError
    {
    private:
        IrError() {}
        ~IrError() {}

    public:

        // IrPort

        static void openIrLibraryError();
        static void closeIrLibraryError();

        // IrConnection

        static void sendDataError(int maxSize, int size);
        static void bindError();
        static void unbindError();
        static void discoveryError();
        static void lapConnectionError();
        static void lapDisconnectionError();
        static void getRemoteLsapError();
        static void lmpConnectionError();
        static void tinyTpConnectionError();
        static void setDeviceInfoError();

        // IrIAS

        static void iasQueryError(const char* query, int rc);
        static void unexpectedIasQueryError(const char* query, int rc);
        static void iasCallbackError(int status);
    };
}

#endif _IrError_h_
